__itt_counter_info Struct Reference

`#include <ittnotify_config.h>`

Collaboration diagram for __itt_counter_info:

## Public Attributes

const char * | nameA
void * | nameW
const char * | domainA
void * | domainW
int | type
long | index
int | extra1
void * | extra2
struct __itt_counter_info * | next

## Detailed Description

Definition at line 405 of file ittnotify_config.h.

## Member Data Documentation

## domainA

const char* __itt_counter_info::domainA

Copy of original name in ASCII.

Definition at line 413 of file ittnotify_config.h.

## domainW

void* __itt_counter_info::domainW

Definition at line 417 of file ittnotify_config.h.

## extra1

int __itt_counter_info::extra1

Reserved to the runtime

Definition at line 421 of file ittnotify_config.h.

## extra2

void* __itt_counter_info::extra2

Reserved to the runtime

Definition at line 422 of file ittnotify_config.h.

## index

long __itt_counter_info::index

Definition at line 420 of file ittnotify_config.h.

## nameA

const char* __itt_counter_info::nameA

Copy of original name in ASCII.

Definition at line 407 of file ittnotify_config.h.

## nameW

void* __itt_counter_info::nameW

Definition at line 411 of file ittnotify_config.h.

## next

struct __itt_counter_info* __itt_counter_info::next

Definition at line 423 of file ittnotify_config.h.

## type

int __itt_counter_info::type

Definition at line 419 of file ittnotify_config.h.

The documentation for this struct was generated from the following file:

- ittnotify_config.h

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.